> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List conference participants

> Lists conference participants



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/texml/conference-participants.yml get /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants
openapi: 3.1.0
info:
  title: Telnyx TeXML Conference Participants API
  version: 2.0.0
  description: API for managing TeXML Conferences and Participants.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
tags:
  - name: Command
    description: TeXML command operations
  - name: Callbacks
    description: Webhook callbacks for call events
paths:
  /texml/Accounts/{account_sid}/Conferences/{conference_sid}/Participants:
    get:
      tags:
        - TeXML REST Commands
      summary: List conference participants
      description: Lists conference participants
      operationId: GetTexmlConferenceParticipants
      parameters:
        - $ref: '#/components/parameters/AccountSid'
        - $ref: '#/components/parameters/ConferenceSid'
      responses:
        '200':
          $ref: '#/components/responses/GetParticipantsResponse'
        '404':
          $ref: '#/components/responses/call-scripting_NotFoundResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.texml.accounts.conferences.participants.retrieveParticipants(
              'conference_sid',
              { account_sid: 'account_sid' },
            );


            console.log(response.end);
        - lang: Python
          source: >-
            import os

            from telnyx import Telnyx


            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )

            response =
            client.texml.accounts.conferences.participants.retrieve_participants(
                conference_sid="conference_sid",
                account_sid="account_sid",
            )

            print(response.end)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tresponse, err := client.Texml.Accounts.Conferences.Participants.GetParticipants(\n\t\tcontext.TODO(),\n\t\t\"conference_sid\",\n\t\ttelnyx.TexmlAccountConferenceParticipantGetParticipantsParams{\n\t\t\tAccountSid: \"account_sid\",\n\t\t},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", response.End)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantRetrieveParticipantsParams;

            import
            com.telnyx.sdk.models.texml.accounts.conferences.participants.ParticipantRetrieveParticipantsResponse;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    ParticipantRetrieveParticipantsParams params = ParticipantRetrieveParticipantsParams.builder()
                        .accountSid("account_sid")
                        .conferenceSid("conference_sid")
                        .build();
                    ParticipantRetrieveParticipantsResponse response = client.texml().accounts().conferences().participants().retrieveParticipants(params);
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            response =
            telnyx.texml.accounts.conferences.participants.retrieve_participants(
              "conference_sid",
              account_sid: "account_sid"
            )


            puts(response)
        - lang: CLI
          source: >-
            telnyx texml:accounts:conferences:participants retrieve-participants
            \
              --api-key 'My API Key' \
              --account-sid account_sid \
              --conference-sid conference_sid
components:
  parameters:
    AccountSid:
      name: account_sid
      in: path
      required: true
      description: The id of the account the resource belongs to.
      schema:
        type: string
    ConferenceSid:
      name: conference_sid
      in: path
      required: true
      description: The ConferenceSid that uniquely identifies a conference.
      schema:
        type: string
  responses:
    GetParticipantsResponse:
      description: Multiple participant resources.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ParticipantResourceIndex'
    call-scripting_NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/call-scripting_ResourceNotFoundError'
  schemas:
    ParticipantResourceIndex:
      type: object
      title: Multiple participant resources
      example:
        participants: []
        end: 0
        first_page_uri: >-
          /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Participants.json?page=0&pagesize=20
        page: 0
        page_size: 20
        start: 0
        uri: >-
          /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Participants.json?page=0&pagesize=20
      properties:
        participants:
          type: array
          items:
            $ref: '#/components/schemas/ParticipantResource'
        end:
          type: integer
          description: The number of the last element on the page, zero-indexed.
          example: 19
        first_page_uri:
          type: string
          description: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Participants.json?page=0&pagesize=20
          example: accepted
        next_page_uri:
          type: string
          description: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Participants.json?Page=1&PageSize=1&PageToken=MTY4AjgyNDkwNzIxMQ
          example: accepted
        page:
          type: integer
          description: Current page number, zero-indexed.
          example: 0
        page_size:
          type: integer
          description: The number of items on the page
          example: 20
        start:
          type: integer
          description: The number of the first element on the page, zero-indexed.
          example: 0
        uri:
          type: string
          description: The URI of the current page.
          example: >-
            /v2/texml/Accounts/61bf923e-5e4d-4595-a110-56190ea18a1b/Conferences/6dc6cc1a-1ba1-4351-86b8-4c22c95cd98f/Participants.json?Page=0&PageSize=1
    call-scripting_ResourceNotFoundError:
      type: object
      title: Resource not found
      example:
        errors:
          - detail: Resource not found
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              detail:
                type: string
    ParticipantResource:
      type: object
      title: Participant resource
      example:
        account_sid: 4e71926f-8f13-450e-b91c-23c2ef786aa6
        api_version: v2/texml
        call_sid: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        call_sid_legacy: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        coaching: false
        conference_sid: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
        date_created: Fri, 27 Oct 2023 07:41:58 +0000
        date_updated: Fri, 27 Oct 2023 07:41:58 +0000
        end_conference_on_exit: false
        hold: false
        muted: false
        status: completed
        uri: >-
          /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json
      properties:
        account_sid:
          type: string
          description: The id of the account the resource belongs to.
          example: 61bf923e-5e4d-4595-a110-56190ea18a1b
        api_version:
          type: string
          description: The version of the API that was used to make the request.
          example: v2/texml
        call_sid:
          type: string
          description: The identifier of this participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        call_sid_legacy:
          type: string
          description: The identifier of this participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        coaching:
          type: boolean
          description: Whether the participant is coaching another call.
          example: false
        coaching_call_sid:
          type: string
          description: The identifier of the coached participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        coaching_call_sid_legacy:
          type: string
          description: The identifier of the coached participant's call.
          example: v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ
        date_created:
          type: string
          description: The timestamp of when the resource was created.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        date_updated:
          type: string
          description: The timestamp of when the resource was last updated.
          example: Thu, 15 Jun 2023 09:56:45 +0000
        end_conference_on_exit:
          type: boolean
          description: Whether the conference ends when the participant leaves.
          example: false
        hold:
          type: boolean
          description: Whether the participant is on hold.
          example: false
        muted:
          type: boolean
          description: Whether the participant is muted.
          example: false
        status:
          type: string
          description: The status of the participant's call in the conference.
          enum:
            - connecting
            - connected
            - completed
          example: connected
        uri:
          type: string
          description: The relative URI for this participant.
          example: >-
            /v2/texml/Accounts/4e71926f-8f13-450e-b91c-23c2ef786aa6/Conferences/cd5a70f4-759b-4d5e-9c06-88c00f16f3c1/Participants/v3:9X2vxPDFY2RHSJ1EdMS0RHRksMTg7ldNxdjWbVr9zBjbGjGsSe-aiQ.json
        conference_sid:
          type: string
          format: uuid
          description: The unique identifier for the conference.
          example: cd5a70f4-759b-4d5e-9c06-88c00f16f3c1
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````